summaryrefslogtreecommitdiff
path: root/recipes/ti/matrix-gui/init
diff options
context:
space:
mode:
authorKoen Kooi <k-kooi@ti.com>2010-04-26 02:12:33 -0400
committerKoen Kooi <koen@openembedded.org>2010-04-26 10:57:17 +0200
commit023c1dd0c7cde0bee36c86e8bff1b2613723c088 (patch)
tree441d0b1cdc1d069fcb845e31908b785519993540 /recipes/ti/matrix-gui/init
parent4af2227bf4819673916cbadfc41d04279acd5053 (diff)
matrix-gui: add new recipe and initscript, from arago overlay
* slightly changed from arago recipe to conform more to OE guidelines
Diffstat (limited to 'recipes/ti/matrix-gui/init')
-rwxr-xr-xrecipes/ti/matrix-gui/init32
1 files changed, 32 insertions, 0 deletions
diff --git a/recipes/ti/matrix-gui/init b/recipes/ti/matrix-gui/init
new file mode 100755
index 0000000000..fc2aacf5e8
--- /dev/null
+++ b/recipes/ti/matrix-gui/init
@@ -0,0 +1,32 @@
+#! /bin/sh
+
+matrixgui="/usr/bin/matrix_gui"
+
+test -x "$matrixgui" || exit 0
+
+export LD_LIBRARY_PATH=/usr/lib
+export TSLIB_PLUGINDIR=/usr/lib/ts
+export TSLIB_TSDEVICE=/dev/input/touchscreen0
+export TSLIB_CONFFILE=/etc/ts.conf
+export QWS_MOUSE_PROTO=Tslib:/dev/input/touchscreen0
+
+case "$1" in
+ start)
+ echo -n "Starting Matrix GUI application"
+ if [ ! -f /etc/pointercal ] ; then
+ ts_calibrate
+ fi
+ start-stop-daemon --start --quiet --background --exec $matrixgui
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Matrix GUI application"
+ start-stop-daemon --stop --quiet --pidfile /var/run/matrix-gui.pid
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/matrix-gui {start|stop}"
+ exit 1
+esac
+
+exit 0